Serialized Form
-
Package com.shri.restinpeace.exception
-
Exception com.shri.restinpeace.exception.BulkheadFullException
class BulkheadFullException extends RestInPeaceException implements Serializable- serialVersionUID:
- 1L
-
Exception com.shri.restinpeace.exception.CircuitOpenException
class CircuitOpenException extends RestInPeaceException implements Serializable- serialVersionUID:
- 1L
-
Exception com.shri.restinpeace.exception.RestInPeaceException
class RestInPeaceException extends RuntimeException implements Serializable- serialVersionUID:
- 8111958117033765908L
-
Exception com.shri.restinpeace.exception.RestInPeaceHttpException
class RestInPeaceHttpException extends RestInPeaceException implements Serializable- serialVersionUID:
- 1L
-
Serialized Fields
-
errorBody
Object errorBody
The response body deserialized into the method's@ErrorType, orRestInPeaceHttpException.rawBodyitself. -
rawBody
String rawBody
The response's raw body. -
retryAfterMillis
Long retryAfterMillis
The response's ownRetry-Afterheader, parsed to milliseconds, ornull. -
status
int status
The response's HTTP status.
-
-
Exception com.shri.restinpeace.exception.RestInPeaceValidationException
class RestInPeaceValidationException extends Exception implements Serializable- serialVersionUID:
- 8111958117033765908L
-
Serialized Fields
-
validationResult
ValidationResult validationResult
The full validation result this exception was raised for.
-
-
-
Package com.shri.restinpeace.validator
-
Class com.shri.restinpeace.validator.ValidationResult
class ValidationResult extends Object implements Serializable- serialVersionUID:
- 4405237972655265537L
-